function [f] = eval_g(x,params)
//**********************************************************************
//* $Id$ 
//* $Source$
//*
//* Part of SCILAB Mex interface for IPOPT
//*
//* This code is published under the Common Public License
//* http://www.opensource.org/licenses/cpl.php
//*
//* Copyright (C) 2004; All Rights Reserved
//*
//* Claas Michalik <Michalik<at>LPT<dot>RWTH-Aachen<dot>de>
//* Process Systems Engineering Institute, RWTH Aachen
//*
//* Steinar Hauan <hauan@cmu.edu>
//* Dept of ChemE, Carnegie Mellon University
//*
//* Modifications to Scilab Interface made by
//* Edson Cordeiro do Valle <edsoncv@vrtech.com.br>
//* Departamento de Desenvolvimento e Tecnologia, VRTech Tecnologias Industriais LTDA.
//* www.vrtech.com.br
//**********************************************************************



// Compute the gradient of the objective function


f(1) = x(4)* ( 2*x(1) + x(2) + x(3) );
f(2) = x(1) * x(4);
f(3) = x(1) * x(4) + 1;
f(4) = x(1) * ( x(1) + x(2) + x(3) );
f(5) = 0; // this is critical, because without this line
          // the interface would complain about a matrix
          // of wrong size being returned from SCILAB
endfunction
