function [Ceq] = eval_c(x,dummy)
//**********************************************************************
//* $Id$ 
//* $Source$
//*
//* Part of SCILAB Mex interface for IPOPT
//*
//* This code is published under the Common Public License
//* http://www.opensource.org/licenses/cpl.php
//*
//* Copyright (C) 2004; All Rights Reserved
//*
//* Claas Michalik <Michalik<at>LPT<dot>RWTH-Aachen<dot>de>
//* Process Systems Engineering Institute, RWTH Aachen
//*
//* Steinar Hauan <hauan@cmu.edu>
//* Dept of ChemE, Carnegie Mellon University
//*
//* Modifications to Scilab Interface made by
//* Edson Cordeiro do Valle <edsoncv@vrtech.com.br>
//* Departamento de Desenvolvimento e Tecnologia, VRTech Tecnologias Industriais LTDA.
//* www.vrtech.com.br
//**********************************************************************



// Compute the values of the constraints
// This function has to return a column-vector, if you want to use ADiMat to
// calculate derivatives


Ceq(1,1) = x(1)*x(2)*x(3)*x(4) - x(5) - 25;
Ceq(2,1) = x(1)*x(1) + x(2)*x(2) + x(3)*x(3) + x(4)*x(4) - 40; 
endfunction


